/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;

import com.rjconsultores.ventaboletos.dao.ParamAcumulaMasivoDAO;
import com.rjconsultores.ventaboletos.entidad.Empresa;
import com.rjconsultores.ventaboletos.entidad.ParamAcumulaMasivo;
import com.rjconsultores.ventaboletos.service.ParamAcumulaMasivoService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;
import java.util.Calendar;
import java.util.Date;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 *
 * @author Rafius
 */
@Service("paramAcumulaMasivoService")
public class ParamAcumulaMasivoServiceImpl implements ParamAcumulaMasivoService {

    @Autowired
    private ParamAcumulaMasivoDAO paramAcumulaMasivoDAO;

    public List<ParamAcumulaMasivo> obtenerTodos() {
        return paramAcumulaMasivoDAO.obtenerTodos();
    }

    public ParamAcumulaMasivo obtenerID(Integer id) {
        return paramAcumulaMasivoDAO.obtenerID(id);
    }

    @Transactional
    public ParamAcumulaMasivo suscribir(ParamAcumulaMasivo entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return paramAcumulaMasivoDAO.suscribir(entidad);
    }

    @Transactional
    public ParamAcumulaMasivo actualizacion(ParamAcumulaMasivo entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return paramAcumulaMasivoDAO.actualizacion(entidad);
    }

    @Transactional
    public void borrar(ParamAcumulaMasivo entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.FALSE);

        paramAcumulaMasivoDAO.actualizacion(entidad);
    }

    public List<ParamAcumulaMasivo> buscar(ParamAcumulaMasivo paramAcumulaMasivo) {
        return paramAcumulaMasivoDAO.buscar(paramAcumulaMasivo);
    }

    public List<ParamAcumulaMasivo> buscar(Empresa emp, Integer min, Integer max, Date fecIni, Date fecFim) {
        return paramAcumulaMasivoDAO.buscar(emp, min, max, fecIni, fecFim);
    }
}
